Summary:	A PackageKit client for the GNOME desktop
Name:	  	gnome-packagekit
Version:	2.32.0
Release:	%mkrel 3
License:	GPLv2+
Group:		System/Configuration/Packaging
Source0: 	http://ftp.gnome.org/pub/GNOME/sources/gnome-packagekit/%name-%version.tar.bz2
# (fc) 2.30.1-2mdv disable font install support
Patch0:		gnome-packagekit-2.30.1-disable-font-install.patch
URL:		http://www.packagekit.org
BuildRequires:	packagekit-devel >= 0.6.1
BuildRequires:	libnotify-devel >= 0.4.3
BuildRequires:	gnome-menus-devel >= 2.24.1
BuildRequires:	intltool > 0.35.0
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-utils
BuildRequires:	docbook-dtd41-sgml
BuildRequires:	libGConf2-devel >= 0.22
BuildRequires:	libxslt-proc
BuildRequires:	unique-devel >= 0.9.4
BuildRequires:	libcanberra-devel >= 0.10
BuildRequires:	libcanberra-gtk-devel >= 0.10
BuildRequires:	UPower-devel
BuildRequires:	libgudev-devel
Requires: %{name}-common = %{version}-%{release}

%description
gnome-packagekit are PackageKit client programs designed for the GNOME desktop.

%package common
Summary:        Common files and services for GNOME PackageKit
Group:          System/Configuration/Packaging
Requires:	packagekit >= 0.4.8
Provides:	packagekit-gui
Conflicts:	kpackagekit

%description common
Common files and services used by GNOME PackageKit. This packages provides
D-Bus service for packages installation.

%package extra
Summary: Session applications to manage packages with GNOME PackageKit (extra bits)
Group:          System/Configuration/Packaging
Requires: %{name} = %{version}-%{release}

%description extra
Extra GNOME applications for using PackageKit that are not normally needed.

%prep
%setup -q
%patch0 -p1 -b .disable-font-install

# .deb can't be installed in Mageia
sed -i 's,application/x-deb;,,' data/gpk-install-file.desktop.in

%build
%configure2_5x --disable-static --disable-schemas-install --disable-scrollkeeper
make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %name --with-gnome

%clean
rm -rf %{buildroot}

%preun
%preun_uninstall_gconf_schemas %name

%files common -f %name.lang
%defattr(-, root, root)
%{_sysconfdir}/gconf/schemas/%name.schemas
%{_bindir}/gpk-install-*
%{_bindir}/gpk-dbus-service
%dir %{_datadir}/gnome-packagekit
%{_datadir}/gnome-packagekit/gpk-client.ui
%{_datadir}/gnome-packagekit/gpk-error.ui
%{_datadir}/gnome-packagekit/gpk-eula.ui
%{_datadir}/gnome-packagekit/gpk-update-viewer.ui
%{_datadir}/gnome-packagekit/gpk-signature.ui
%{_datadir}/gnome-packagekit/icons
%{_datadir}/omf/%name
%{_iconsdir}/hicolor/*/*/*
%{_mandir}/man1/gpk-install-*
%{_mandir}/man1/gpk-backend-status*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/applications/gpk-install-*.desktop

%files 
%defattr(-, root, root)
%{_bindir}/gpk-application
%{_bindir}/gpk-log
%{_bindir}/gpk-prefs
%{_bindir}/gpk-repo
%{_bindir}/gpk-update-*
%{_datadir}/applications/gpk-application.desktop
%{_datadir}/applications/gpk-prefs.desktop
%{_datadir}/applications/gpk-update-viewer.desktop
%{python_sitelib}/packagekit/g*
%{_datadir}/gnome/autostart/gpk-update-icon.desktop
%{_mandir}/man1/gpk-application*
%{_mandir}/man1/gpk-prefs*
%{_mandir}/man1/gpk-repo*
%{_mandir}/man1/gpk-update*
%{_datadir}/gnome-packagekit/gpk-application.ui
%{_datadir}/gnome-packagekit/gpk-prefs.ui
%{_datadir}/gnome-packagekit/gpk-repo.ui
%{_datadir}/gnome-packagekit/gpk-update-viewer.ui
%{_datadir}/gnome-packagekit/gpk-log.ui

%files extra
%defattr(-, root, root)
%{_bindir}/gpk-backend-status
%{_bindir}/gpk-service-pack
%{_datadir}/applications/gpk-log.desktop
%{_datadir}/applications/gpk-repo.desktop
%{_datadir}/applications/gpk-service-pack.desktop
%{_datadir}/gnome-packagekit/gpk-backend-status.ui
%{_datadir}/gnome-packagekit/gpk-service-pack.ui




%changelog
* Mon Feb 28 2011 eandry <eandry> 2.32.0-3.mga1
+ Revision: 61721
- BR libcanberra-gtk
- drop buildroot
- drop old conflicts/obsoletes/provides
- imported package gnome-packagekit


* Tue Nov 02 2010 Crispin Boylan <crisb@mandriva.org> 2.32.0-2mdv2011.0
+ Revision: 592023
- Rebuild

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581672
- new version

* Thu Sep 16 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 579018
- update to new version 2.31.92

* Wed Sep 01 2010 Emmanuel Andry <eandry@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 575143
- New version 2.31.91

* Fri Aug 27 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.31.6-2mdv2011.0
+ Revision: 573477
- remove application/x-deb from .desktop file, it can't be installed on Mandriva
  (mdv#60814)

* Tue Aug 17 2010 Emmanuel Andry <eandry@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 570976
- New version 2.31.6

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.30.3-3mdv2011.0
+ Revision: 564270
- rebuild for perl 5.12.1

* Tue Jul 27 2010 Funda Wang <fwang@mandriva.org> 2.30.3-1mdv2011.0
+ Revision: 561867
- new version 2.30.3

* Fri May 21 2010 Frederic Crozat <fcrozat@mandriva.com> 2.30.1-2mdv2010.1
+ Revision: 545647
- Disable font install feature by default

* Tue Apr 27 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.30.1-1mdv2010.1
+ Revision: 539810
- new version 2.30.1

* Thu Apr 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 532876
- New release 2.30.0

* Sun Mar 21 2010 Funda Wang <fwang@mandriva.org> 2.29.91-1mdv2010.1
+ Revision: 526160
- finally update BR
- New version 2.29.91

* Tue Feb 02 2010 Funda Wang <fwang@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 499459
- Bump pk BR
- New version 2.29.3

* Wed Jan 13 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.2-2mdv2010.1
+ Revision: 490568
- Provides packagekit-gui
- Conflicts with kpackagekit (both are providing GUI dbus service)

* Fri Jan 08 2010 Frederic Crozat <fcrozat@mandriva.com> 2.29.2-1mdv2010.1
+ Revision: 487546
- Release 2.29.2
- split packages in three packages :
 - common for installer D-Bus service
 - main package for main UI
 - extras for non-essential UI

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 2.29.1-1mdv2010.1
+ Revision: 475547
- new version 2.29.1

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 2.28.2-1mdv2010.1
+ Revision: 475353
- new version 2.28.2

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458772
- Release 2.28.1

* Tue Sep 22 2009 Funda Wang <fwang@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 447118
- New version 2.28.0

* Sun Aug 09 2009 Funda Wang <fwang@mandriva.org> 2.27.5-1mdv2010.0
+ Revision: 412909
- new version 2.27.5

* Sun Jul 12 2009 Funda Wang <fwang@mandriva.org> 2.27.3-1mdv2010.0
+ Revision: 394940
- New version 2.27.3

* Fri Jun 05 2009 Funda Wang <fwang@mandriva.org> 2.27.2-1mdv2010.0
+ Revision: 382939
- update BR
- add BR
- New version 2.27.2

* Sat May 02 2009 Funda Wang <fwang@mandriva.org> 2.27.1-1mdv2010.0
+ Revision: 370465
- New version 2.27.1

* Sun Mar 15 2009 Funda Wang <fwang@mandriva.org> 0.4.5-1mdv2009.1
+ Revision: 355229
- update to new version 0.4.5

* Thu Mar 05 2009 Funda Wang <fwang@mandriva.org> 0.4.4-1mdv2009.1
+ Revision: 349004
- bump BR
- New version 0.4.4

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.4.3-2mdv2009.1
+ Revision: 336786
- BR unique

* Tue Feb 03 2009 Funda Wang <fwang@mandriva.org> 0.4.3-1mdv2009.1
+ Revision: 336784
- New version 0.4.3

* Fri Jan 23 2009 Funda Wang <fwang@mandriva.org> 0.4.2-1mdv2009.1
+ Revision: 332699
- new version 0.4.2
- New version 0.4.1

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 0.4.0-2mdv2009.1
+ Revision: 320276
- rebuild for new python

* Sat Dec 13 2008 Funda Wang <fwang@mandriva.org> 0.4.0-1mdv2009.1
+ Revision: 313900
- BR gnome-menu
- New version 0.4.0

* Fri Nov 28 2008 Funda Wang <fwang@mandriva.org> 0.3.11-1mdv2009.1
+ Revision: 307355
- New version 0.3.11

* Wed Nov 12 2008 Funda Wang <fwang@mandriva.org> 0.3.10-1mdv2009.1
+ Revision: 302402
- New version 0.3.10

* Mon Oct 27 2008 Funda Wang <fwang@mandriva.org> 0.3.9-1mdv2009.1
+ Revision: 297551
- New version 0.3.9

* Tue Oct 21 2008 Funda Wang <fwang@mandriva.org> 0.3.8-1mdv2009.1
+ Revision: 296134
- New version 0.3.8

* Thu Oct 16 2008 Funda Wang <fwang@mandriva.org> 0.3.7-1mdv2009.1
+ Revision: 294093
- New version 0.3.7

* Sun Oct 12 2008 Funda Wang <fwang@mandriva.org> 0.3.6-1mdv2009.1
+ Revision: 292864
- New version 0.3.6

* Wed Oct 01 2008 Funda Wang <fwang@mandriva.org> 0.3.5-1mdv2009.0
+ Revision: 290433
- add dtd package
- add preun script
- BR docbook-utils
- New version 0.3.5

* Sun Sep 21 2008 Funda Wang <fwang@mandriva.org> 0.3.3-1mdv2009.0
+ Revision: 286284
- New version 0.3.3

* Wed Sep 10 2008 Funda Wang <fwang@mandriva.org> 0.3.2-1mdv2009.0
+ Revision: 283420
- New version 0.3.2

* Sun Aug 31 2008 Funda Wang <fwang@mandriva.org> 0.3.1-1mdv2009.0
+ Revision: 277771
- New versio 0.3.1

* Thu Aug 07 2008 Funda Wang <fwang@mandriva.org> 0.2.4-2mdv2009.0
+ Revision: 265670
- rebuild for new packagekit

* Wed Aug 06 2008 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 264773
- New version 0.2.4

* Tue Jul 15 2008 Funda Wang <fwang@mandriva.org> 0.2.3-2mdv2009.0
+ Revision: 235756
- fix desktop icon name

* Sun Jul 13 2008 Funda Wang <fwang@mandriva.org> 0.2.3-1mdv2009.0
+ Revision: 234323
- BR glade
- add BR
- import gnome-packagekit


